Skip to content
Start here

Retrieves Security Center Issue Counts by Severity

Deprecated
client.intel.attackSurfaceReport.issues.severity(IssueSeverityParams { account_id, dismissed, issue_class, 9 more } params, RequestOptionsoptions?): IssueSeverityResponse { count, value }
GET/accounts/{account_id}/intel/attack-surface-report/issues/severity

Retrieves Security Center issue counts aggregated by severity level.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
params: IssueSeverityParams { account_id, dismissed, issue_class, 9 more }
account_id: string

Path param: Identifier.

maxLength32
dismissed?: boolean

Query param

issue_class?: Array<string>

Query param

issueClassNeq?: Array<string>

Query param

issue_type?: Array<IssueType>

Query param

One of the following:
"compliance_violation"
"email_security"
"exposed_infrastructure"
"insecure_configuration"
"weak_authentication"
"configuration_suggestion"
issueTypeNeq?: Array<IssueType>

Query param

One of the following:
"compliance_violation"
"email_security"
"exposed_infrastructure"
"insecure_configuration"
"weak_authentication"
"configuration_suggestion"
product?: Array<string>

Query param

productNeq?: Array<string>

Query param

severity?: Array<SeverityQueryParam>

Query param

One of the following:
"low"
"moderate"
"critical"
severityNeq?: Array<SeverityQueryParam>

Query param

One of the following:
"low"
"moderate"
"critical"
subject?: Array<string>

Query param

subjectNeq?: Array<string>

Query param

ReturnsExpand Collapse
IssueSeverityResponse = Array<IssueSeverityResponseItem>
count?: number
value?: string

Retrieves Security Center Issue Counts by Severity

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.intel.attackSurfaceReport.issues.severity({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(response);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "count": 1,
      "value": "value"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "count": 1,
      "value": "value"
    }
  ]
}